@import url('https://fonts.googleapis.com/css?family=Cabin:400,600,700');
.logo
{
    text-align: left;
}
.logo a
{
	display: block;	
	color: #FFFFFF !important;
    text-decoration: none;
}
.logo img{
    width: 80%;    
}
html {
  font-family: "Open Sans", sans-serif;
  color: #333;
}
body {
  margin: 0;
  font-size: 1rem;
  overflow-x: hidden;
}
code {
  font-family: "Source Code Pro", Consolas, "Ubuntu Mono", Menlo, "DejaVu Sans Mono", monospace, monospace;
  font-size: 0.875em;
}
.left {
  float: left;
}
.right {
  float: right;
}
.hidden {
  display: none;
}
.play-button.hidden {
  display: none;
}
h2,
h3 {
  margin-top: 2.5em;
}
h4,
h5 {
  margin-top: 2em;
}
.header + .header h3,
.header + .header h4,
.header + .header h5 {
  margin-top: 1em;
}
table {
  margin: 0 auto;
  border-collapse: collapse;
  width: 100%;
}
table td {
  padding: 3px 20px;
  border: 1px solid;
}
table thead td {
  font-weight: 700;
}
:not(.footnote-definition) + .footnote-definition,
.footnote-definition + :not(.footnote-definition) {
  margin-top: 2em;
}
.footnote-definition {
  font-size: 0.9em;
  margin: 0.5em 0;
}
.footnote-definition p {
  display: inline;
}
.sidebar {
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  width: 300px;
  overflow-y: auto;
  padding: 10px 10px;
  font-size: 0.975em;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-overflow-scrolling: touch;
  overscroll-behavior-y: contain;
  -webkit-transition: -webkit-transform 0.5s;
  -moz-transition: -moz-transform 0.5s;
  -o-transition: -o-transform 0.5s;
  -ms-transition: -ms-transform 0.5s;
  transition: transform 0.5s;
}
.sidebar code {
  line-height: 2em;
}
.sidebar-hidden .sidebar {
  -webkit-transform: translateX(-300px);
  -moz-transform: translateX(-300px);
  -o-transform: translateX(-300px);
  -ms-transform: translateX(-300px);
  transform: translateX(-300px);
}
.chapter {
  list-style: none outside none;
  padding-left: 0;
  line-height: 2.2em;
  //font-size: 1.4em;
}
.chapter li a {
  display: block;
  padding: 0;
  text-decoration: none;
}
@media (-moz-touch-enabled: 1), (pointer: coarse) {
  .chapter li a {
    padding: 5px 0;
  }
}
.chapter li a:hover {
  text-decoration: none;
}
.chapter .spacer {
  width: 100%;
  height: 3px;
  margin: 5px 0px;
}
@media (-moz-touch-enabled: 1), (pointer: coarse) {
  .chapter .spacer {
    margin: 10px 0;
  }
}
.section {
  list-style: none outside none;
  padding-left: 20px;
  line-height: 1.9em;
}
.section li {
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
.page-wrapper {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-transition: padding-left 0.5s, margin-left 0.5s;
  -moz-transition: padding-left 0.5s, margin-left 0.5s;
  -o-transition: padding-left 0.5s, margin-left 0.5s;
  -ms-transition: padding-left 0.5s, margin-left 0.5s;
  transition: padding-left 0.5s, margin-left 0.5s;
}
.sidebar-visible .page-wrapper {
  padding-left: 300px;
}
@media only screen and (max-width: 1079px) {
  .sidebar-visible .page-wrapper {
    padding-left: 0;
    margin-left: 300px;
  }
}
.page {
  outline: 0;
  padding: 0 15px;
}
.content {
  margin-left: auto;
  margin-right: auto;
  max-width: 750px;
  padding-bottom: 50px;
}
@media (min-width: 1100px) {
    .content {
        max-width: 1000px;
    }
}
.content a {
  text-decoration: none;
}
.content a:hover {
  text-decoration: underline;
}
.content img {
  max-width: 100%;
}
#menu-bar {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 101;
}
#menu-bar > #menu-bar-sticky-container {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-lines: multiple;
  -moz-box-lines: multiple;
  -o-box-lines: multiple;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-transition: -webkit-transform 0.5s, border-bottom-color 0.5s;
  -moz-transition: -moz-transform 0.5s, border-bottom-color 0.5s;
  -o-transition: -o-transform 0.5s, border-bottom-color 0.5s;
  -ms-transition: -ms-transform 0.5s, border-bottom-color 0.5s;
  transition: transform 0.5s, border-bottom-color 0.5s;
}
#menu-bar i,
#menu-bar .icon-button {
  position: relative;
  margin: 0 10px;
  z-index: 10;
    font-size: 24px;
  line-height: 50px;
  -webkit-transition: color 0.5s;
  -moz-transition: color 0.5s;
  -o-transition: color 0.5s;
  -ms-transition: color 0.5s;
  transition: color 0.5s;
}
#menu-bar i:hover,
#menu-bar .icon-button:hover {
  cursor: pointer;
}
html:not(.sidebar-visible) #menu-bar:not(:hover).folded > #menu-bar-sticky-container {
  -webkit-transform: translateY(-60px);
  -moz-transform: translateY(-60px);
  -o-transform: translateY(-60px);
  -ms-transform: translateY(-60px);
  transform: translateY(-60px);
}
.menu-title {
  display: inline-block;
  font-weight: 200;
  font-size: 20px;
  line-height: 50px;
  text-align: center;
  margin: 0;
  -webkit-box-flex: 1;
  -moz-box-flex: 1;
  -o-box-flex: 1;
  box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  white-space: nowrap;
  overflow: hidden;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  cursor: pointer;
}
.nav-chapters {
  font-size: 2.5em;
  text-align: center;
  text-decoration: none;
  position: fixed;
  top: 50px /* Height of menu-bar */;
  bottom: 0;
  margin: 0;
  max-width: 150px;
  min-width: 90px;
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-pack: center;
  -moz-box-pack: center;
  -o-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -ms-flex-line-pack: center;
  -webkit-align-content: center;
  align-content: center;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
  -o-box-orient: vertical;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-transition: color 0.5s;
  -moz-transition: color 0.5s;
  -o-transition: color 0.5s;
  -ms-transition: color 0.5s;
  transition: color 0.5s;
}
.nav-chapters:hover {
  text-decoration: none;
}
.nav-wrapper {
  margin-top: 50px;
  display: none;
}
.mobile-nav-chapters {
  font-size: 2.5em;
  text-align: center;
  text-decoration: none;
  width: 90px;
  border-radius: 5px;
}
.previous {
  float: left;
}
.next {
  float: right;
  right: 15px;
}
@media only screen and (max-width: 1080px) {
  .nav-wide-wrapper {
    display: none;
  }
  .nav-wrapper {
    display: block;
  }
}
@media only screen and (max-width: 1380px) {
  .sidebar-visible .nav-wide-wrapper {
    display: none;
  }
  .sidebar-visible .nav-wrapper {
    display: block;
  }
}
.theme-popup {
  position: absolute;
  left: 10px;
  z-index: 1000;
  border-radius: 4px;
  font-size: 0.7em;
}
.theme-popup .theme {
  display: inline;
  border: 0;
  margin: 0;
  padding: 2px 10px;
  line-height: 25px;
  width: 100%;
  white-space: nowrap;
  text-align: left;
  cursor: pointer;
  color: inherit;
  background: inherit;
  font-size: inherit;
}
.theme-popup .theme:hover:first-child,
.theme-popup .theme:hover:last-child {
  border-top-left-radius: inherit;
  border-top-right-radius: inherit;
}

.ayu {
  color: #726a84;
  background-color: #f8f9fa;
//  background-color: #0f1419;
/* Inline code */
}
.ayu .content .header:link,
.ayu .content .header:visited {
  color: #2e8299;
  pointer: cursor;
}
.ayu .content .header:link:hover,
.ayu .content .header:visited:hover {
  text-decoration: none;
}
.ayu .menu-bar {
  margin: auto -15px;
}
.ayu .menu-bar > #menu-bar-sticky-container {  
  background-color: #e6e6e6;
  border-bottom-color:  #f8f9fa;
  border-bottom-width: 1px;
  border-bottom-style: solid;
}
.ayu .menu-bar.bordered > #menu-bar-sticky-container {
  border-bottom-color: #cbcbcb;
}
.ayu .sidebar {
    background-image: url(https://addlead.com.br/img/bg-img/bg-stats-area.jpg);
    background-position: right;
    background-size: cover;
    background-repeat: no-repeat;
    color: #fff;
    box-shadow: inset #00000063 -10px 10px 12px;
}
.ayu .sidebar::-webkit-scrollbar {
  background: #14191f;
}
.ayu .sidebar::-webkit-scrollbar-thumb {
  background: #c8c9db;
}
.ayu .chapter li {
  color: #5c6773;
}
.ayu .chapter li a {
  color: #fff;
}
.ayu .chapter li .active,
.ayu .chapter li a:hover {
/* Animate color change */
    color: #00fff4;
}
.ayu .chapter .spacer {
  background-color: #2d334f;
}
.ayu .menu-bar,
.ayu .menu-bar:visited,
.ayu .nav-chapters,
.ayu .nav-chapters:visited,
.ayu .mobile-nav-chapters,
.ayu .mobile-nav-chapters:visited,
.ayu .menu-bar .icon-button,
.ayu .menu-bar a i {
  color: #174d5d;
}
.ayu .menu-bar i:hover,
.ayu .menu-bar .icon-button:hover,
.ayu .nav-chapters:hover,
.ayu .mobile-nav-chapters i:hover {
  color: #0e91b8;
}
.ayu .mobile-nav-chapters i:hover {
  color: #c8c9db;
}
.ayu .mobile-nav-chapters {
  background-color: #3593ab;
  color: white !important;
}
.ayu .content a:link,
.ayu a:visited,
.ayu a > .hljs {
  color: #2e8299;
}
.ayu .theme-popup {
  color: #c5c5c5;
  background: #14191f;
  border: 1px solid #5c6773;
  margin: 0;
  padding: 0;
  list-style: none;
  display: none;
}
.ayu .theme-popup .theme:hover {
  background-color: #191f26;
}
.ayu .theme-popup .default {
  color: #737480;
}
.ayu blockquote {
  margin: 20px 0;
  padding: 0 20px;
  color: #c5c5c5;
  background-color: #c3c3c3;
  border-top: 0.1em solid #c3c3c3;
  border-bottom: 0.1em solid #c3c3c3;
}
/*
.ayu table td {
  border-color: #182028;
}
.ayu table tbody tr:nth-child(2n) {
  background: #141b22;
}
.ayu table thead {
  background: #324354;
}
.ayu table thead td {
  border: none;
}
.ayu table thead tr {
  border: 1px #324354 solid;
}
*/


.hljs{
    background-color: #d6d6d6;
    color: #797979;
    border-radius: 4px;
    border-style: solid;
    border-width: 1px;
}

.ayu :not(pre) > .hljs {
  display: inline-block;
  vertical-align: middle;
  padding: 0.1em 0.3em;
  border-radius: 3px;
  color: #ffb454;
}
.ayu a:hover > .hljs {
  text-decoration: underline;
}
.ayu pre {
  position: relative;
}
.ayu pre > .buttons {
  position: absolute;
  z-index: 100;
  right: 5px;
  top: 5px;
  color: #989898;
  cursor: pointer;
}
.ayu pre > .buttons :hover {
  color: #3593ab;
}
.ayu pre > .buttons i {
  margin-left: 8px;
}
.ayu pre > .buttons button {
  color: inherit;
  background: #c5c5c5;
    border-radius: 5px;
    padding: 4px;
  border: none;
  cursor: inherit;
}
.ayu pre > .result {
  margin-top: 10px;
}
.ayu .icon-button {
  border: none;
  background: none;
  padding: 0;
  color: inherit;
}
.ayu .icon-button i {
  margin: 0;
}
.ayu ::-webkit-scrollbar {
  background: #2F363E;
}
.ayu ::-webkit-scrollbar-thumb {
  background: #c8c9db;
}
@media only print {
  #sidebar,
  #menu-bar,
  .nav-chapters,
  .mobile-nav-chapters {
    display: none;
  }
  #page-wrapper {
    left: 0;
    overflow-y: initial;
  }
  #page-wrapper.page-wrapper {
    padding-left: 0px;
  }
  #content {
    max-width: none;
    margin: 0;
    padding: 0;
  }
  .page {
    overflow-y: initial;
  }
  code {
    background-color: #666;
    border-radius: 5px;
/* Force background to be printed in Chrome */
    -webkit-print-color-adjust: exact;
  }
  pre > .buttons {
    z-index: 2;
  }
  a,
  a:visited,
  a:active,
  a:hover {
    color: #4183c4;
    text-decoration: none;
  }
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    page-break-inside: avoid;
    page-break-after: avoid;
/*break-after: avoid*/
  }
  pre,
  code {
    page-break-inside: avoid;
    white-space: pre-wrap /* CSS 3 */;
    white-space: -moz-pre-wrap /* Mozilla, since 1999 */;
    white-space: -pre-wrap /* Opera 4-6 */;
    white-space: -o-pre-wrap /* Opera 7 */;
    word-wrap: break-word /* Internet Explorer 5.5+ */;
  }
}
.tooltiptext {
  position: absolute;
  visibility: hidden;
  color: #fff;
  background-color: #333;
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -o-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%); /* Center by moving tooltip 50% of its width left */
  left: -8px; /* Half of the width of the icon */
  top: -35px;
  font-size: 0.8em;
  text-align: center;
  border-radius: 6px;
  padding: 5px 8px;
  margin: 5px;
  z-index: 1000;
}
.tooltipped .tooltiptext {
  visibility: visible;
}

main {
    margin-left: 6vw;
    margin-right: 6vw;
}